# Hardis

## Config for webservers

### Apache2

```
DocumentRoot "/var/www/html"
<Directory "/var/www/html">
    Options -Indexes +FollowSymLinks +Includes
    AllowOverride All
    Order allow,deny
    Allow from All
</Directory>
```

**Apache must have mod_rewrite enabled !**

### Nginx

```
server {
    root /var/www/html;
    location / {
        index index.php index.html index.htm;
        try_files $uri $uri/ /index.php?$query_string;
    }
    location ~ \.php$ {
        fastcgi_pass ip_address:port;
        include fastcgi_params;
    }
}
```

### Notes

This project is based on [Fat Free Framework (F3)](http://fatfreeframework.com).

You have to have a /tmp folder with chmod 777.
This folder store cached files for the F3's template generator

## Urls

- / => Test page
- /api/member => List all members
- /api/member/identifiant or /api/member?identifiant= => List a member by id
